classification
Title: Update shutil documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: docs@python, eric.araujo, fdrake, georg.brandl, python-dev, sandro.tosi
Priority: high Keywords: patch

Created on 2011-05-09 18:59 by sandro.tosi, last changed 2011-07-29 13:40 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
issue12043-default.patch sandro.tosi, 2011-07-02 20:38 review
issue12043-27.patch sandro.tosi, 2011-07-02 20:38
Messages (13)
msg135628 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-05-09 18:59
This issue is to keep track of the 'shutil' documentation update, since it seems to miss several information (in particular in comparison with the docstrings).

I'll post patches as soon as I get them.
msg135928 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-13 17:08
“it seems to”: does this come from the mailing list?
msg135939 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-05-13 18:15
nope, from a quick glance at the docstrings text and what's on the ReST documentation - was I a bit too catastrophic? :)
msg135941 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-13 18:18
No, it’s just the wording that made me think you were referring to other reports or to posts.
msg139310 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-27 16:23
Can you add links, a list of problems, dependency bugs or a patch?  Otherwise this is an empty placeholder.
msg139311 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-06-27 16:27
I'm starting to work on a patch right now.
msg139665 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-07-02 20:38
It turns out it was just move() with a slightly outdated description; so I take the occasion to fix some minor stuff in the doc.
msg139770 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-04 14:04
-   If *symlinks* is true, symbolic links in the source tree are
+   If *symlinks* is ``True``, symbolic links in the source tree are

I’m not sure about that change.  It may be on purpose that lower-case true is used, given that the code will accept anything that evaluates to True in a boolean context, but does not strictly requires a bool instance.

See also #7969 for another shutil doc bug.
msg139787 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-07-04 16:56
Yep. The parts changing true/false to ``True``/``False`` should not be committed.
msg139879 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-05 15:39
I will commit the rest of the patch.
msg141353 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-29 12:35
New changeset 836548ce4cd2 by Éric Araujo in branch '3.2':
Update documentation for shutil.move (#12043) and fix a few typos.
http://hg.python.org/cpython/rev/836548ce4cd2
msg141356 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-29 12:37
New changeset 6bf168b55d07 by Éric Araujo in branch '2.7':
Update documentation for shutil.move (#12043) and fix a few typos.
http://hg.python.org/cpython/rev/6bf168b55d07
msg141376 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-29 13:40
Done!
History
Date User Action Args
2011-07-29 13:40:43eric.araujosetstatus: open -> closed
resolution: fixed
messages: + msg141376

stage: patch review -> resolved
2011-07-29 12:37:57python-devsetmessages: + msg141356
2011-07-29 12:35:21python-devsetnosy: + python-dev
messages: + msg141353
2011-07-24 03:20:21eli.benderskysetnosy: - eli.bendersky
2011-07-05 15:39:23eric.araujosetpriority: low -> high
assignee: docs@python -> eric.araujo
messages: + msg139879
2011-07-04 16:56:54georg.brandlsetnosy: + georg.brandl
messages: + msg139787
2011-07-04 14:04:30eric.araujosetmessages: + msg139770
2011-07-04 06:36:46eli.benderskysetnosy: + eli.bendersky
2011-07-02 20:38:19sandro.tosisetfiles: + issue12043-27.patch
2011-07-02 20:38:12sandro.tosisetfiles: + issue12043-default.patch
keywords: + patch
messages: + msg139665

stage: needs patch -> patch review
2011-06-27 16:27:14sandro.tosisetmessages: + msg139311
2011-06-27 16:23:08eric.araujosetmessages: + msg139310
2011-06-27 16:22:06sandro.tosisetversions: - Python 3.1
2011-05-13 18:18:15eric.araujosetmessages: + msg135941
2011-05-13 18:15:35sandro.tosisetmessages: + msg135939
2011-05-13 17:12:34fdrakesetnosy: + fdrake
2011-05-13 17:08:23eric.araujosetnosy: + eric.araujo
messages: + msg135928
2011-05-09 18:59:04sandro.tosicreate